junjunのブログ

computer, hiphop, programming, etc....

libstdc++.so.6: version `GLIBCXX_3.4.9' not found 「エラーについて」

UbuntuにてXlinxのVivado 2016.2を使用しているのだが,以下のようなエラーが出てしまったのでメモ.

/opt/Xilinx/Vivado/2016.2/lib/lnx64.o/libstdc++.so.6: version `GLIBCXX_3.4.21` not found

どうやら自身のOSにインストールされているライブラリのバージョンが違うので次のような操作で変更する. (シンボリックリンクを貼り,バージョン変更する)

cd /usr/lib/
sudo mv libstdc++.so.6 libstdc++.so.6.ori
sudo ln -s /usr/lib/stdc++.so.6.0.21 libstdc++.so.6